org.apache.xml.utils

## Class MutableAttrListImpl

- java.lang.Object
- - org.xml.sax.helpers.AttributesImpl
  - - org.apache.xml.utils.MutableAttrListImpl

- All Implemented Interfaces:
    java.io.Serializable, org.xml.sax.Attributes

      public class MutableAttrListImpl
      extends org.xml.sax.helpers.AttributesImpl
      implements java.io.Serializable

  Mutable version of AttributesImpl.
  See Also:
    Serialized Form
  Usage:
    **For advanced use only**

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MutableAttrListImpl()` Construct a new, empty AttributesImpl object.
    `MutableAttrListImpl(org.xml.sax.Attributes atts)` Copy an existing Attributes object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAttribute(java.lang.String uri, java.lang.String localName, java.lang.String qName, java.lang.String type, java.lang.String value)` Add an attribute to the end of the list.
    `void` | `addAttributes(org.xml.sax.Attributes atts)` Add the contents of the attribute list to this list.
    `boolean` | `contains(java.lang.String name)` Return true if list contains the given (raw) attribute name.

    - ### Methods inherited from class org.xml.sax.helpers.AttributesImpl

      `clear, getIndex, getIndex, getLength, getLocalName, getQName, getType, getType, getType, getURI, getValue, getValue, getValue, removeAttribute, setAttribute, setAttributes, setLocalName, setQName, setType, setURI, setValue`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MutableAttrListImpl

          public MutableAttrListImpl()

      Construct a new, empty AttributesImpl object.

    - #### MutableAttrListImpl

          public MutableAttrListImpl(org.xml.sax.Attributes atts)

      Copy an existing Attributes object.

      This constructor is especially useful inside a start element event.

      Parameters:
        `atts` - The existing Attributes object.

  - ### Method Detail

    - #### addAttribute

          public void addAttribute(java.lang.String uri,
                                   java.lang.String localName,
                                   java.lang.String qName,
                                   java.lang.String type,
                                   java.lang.String value)

      Add an attribute to the end of the list.

      For the sake of speed, this method does no checking to see if the attribute is already in the list: that is the responsibility of the application.

      Overrides:
        `addAttribute` in class `org.xml.sax.helpers.AttributesImpl`
      Parameters:
        `uri` - The Namespace URI, or the empty string if none is available or Namespace processing is not being performed.
        `localName` - The local name, or the empty string if Namespace processing is not being performed.
        `qName` - The qualified (prefixed) name, or the empty string if qualified names are not available.
        `type` - The attribute type as a string.
        `value` - The attribute value.

    - #### addAttributes

          public void addAttributes(org.xml.sax.Attributes atts)

      Add the contents of the attribute list to this list.
      Parameters:
        `atts` - List of attributes to add to this list

    - #### contains

          public boolean contains(java.lang.String name)

      Return true if list contains the given (raw) attribute name.
      Parameters:
        `name` - Raw name of attribute to look for
      Returns:
        true if an attribute is found with this name

Copyright © 2023 Apache XML Project. All Rights Reserved.